Subject: Re: [PATCH -next] comedi: fix build when USB is not enabled

From: Greg Kroah-Hartman <[email-masked]>
Date: Fri, 18 May 2012 17:50:31 -0700

On Fri, May 18, 2012 at 05:46:13PM -0700, Randy Dunlap wrote:
> From: Randy Dunlap <[email-masked]>
> 
> Calls to optional subsystems cannot be made indiscriminately.
> Enclose all of the usb helper functions inside
> #if IS_ENABLED(CONFIG_USB)
> to fix these build errors.
> 
> (The pci helper functions are OK since there are stubs in
> linux/pci.h for the called functions when PCI is not enabled.
> Possibly the same could be done for the called USB functions.)
> 
> ERROR: "usb_deregister" [drivers/staging/comedi/comedi.ko] undefined!
> ERROR: "usb_register_driver" [drivers/staging/comedi/comedi.ko] undefined!

I would rather stub these out in usb.h instead, care to make a patch for
that?

thanks,

greg k-h